public inbox for git-commits@fedoraproject.org
help / color / mirror / Atom feed
From: Jakub Jelinek <jakub@redhat.com>
To: git-commits@fedoraproject.org
Subject: [rpms/gcc] rhel-f41-base: gcc-14.1.1-4
Date: Mon, 29 Jun 2026 12:30:38 GMT	[thread overview]
Message-ID: <178273623835.1.5213631191307449083.rpms-gcc-c6f99ecd7416@fedoraproject.org> (raw)

A new commit has been pushed.

Repo   : rpms/gcc
Branch : rhel-f41-base
Commit : c6f99ecd741667cf8aee5977a46e347a6aff4b59
Author : Jakub Jelinek <jakub@redhat.com>
Date   : 2024-05-22T11:58:56+02:00
Stats  : +66/-24 in 5 file(s)
URL    : https://src.fedoraproject.org/rpms/gcc/c/c6f99ecd741667cf8aee5977a46e347a6aff4b59?branch=rhel-f41-base

Log:
gcc-14.1.1-4

---
diff --git a/.gitignore b/.gitignore
index d2ceee3..d8006cd 100644
--- a/.gitignore
+++ b/.gitignore
@@ -17,3 +17,4 @@
 /gcc-14.0.1-20240430.tar.xz
 /nvptx-tools-9962793f41e016318dc5eca07ae602041cf526ff.tar.xz
 /gcc-14.1.1-20240508.tar.xz
+/gcc-14.1.1-20240522.tar.xz

diff --git a/gcc.spec b/gcc.spec
index 4fd0c37..564d6a7 100644
--- a/gcc.spec
+++ b/gcc.spec
@@ -1,10 +1,10 @@
-%global DATE 20240508
-%global gitrev 9ae733ecd3cd76d7e2f99385520783b01ab7e5dd
+%global DATE 20240522
+%global gitrev e6b72839728d26b6a83955eeaef2962cc00308bb
 %global gcc_version 14.1.1
 %global gcc_major 14
 # Note, gcc_release must be integer, if you want to add suffixes to
 # %%{release}, append them after %%{gcc_release} on Release: line.
-%global gcc_release 3
+%global gcc_release 4
 %global nvptx_tools_gitrev 9962793f41e016318dc5eca07ae602041cf526ff
 %global newlib_cygwin_gitrev d45261f62a15f8abd94a1031020b9a9f455e4eed
 %global _unpackaged_files_terminate_build 0
@@ -151,15 +151,16 @@ Release: %{gcc_release}%{?dist}
 #   libphobos/src/etc/c/curl.d: curl
 # All of the remaining license soup is in newlib.
 License: GPL-3.0-or-later AND LGPL-3.0-or-later AND (GPL-3.0-or-later WITH GCC-exception-3.1) AND (GPL-3.0-or-later WITH Texinfo-exception) AND (LGPL-2.1-or-later WITH GCC-exception-2.0) AND (GPL-2.0-or-later WITH GCC-exception-2.0) AND (GPL-2.0-or-later WITH GNU-compiler-exception) AND BSL-1.0 AND GFDL-1.3-or-later AND Linux-man-pages-copyleft-2-para AND SunPro AND BSD-1-Clause AND BSD-2-Clause AND BSD-2-Clause-Views AND BSD-3-Clause AND BSD-4-Clause AND BSD-Source-Code AND Zlib AND MIT AND Apache-2.0 AND (Apache-2.0 WITH LLVM-Exception) AND ZPL-2.1 AND ISC AND LicenseRef-Fedora-Public-Domain AND HP-1986 AND curl AND Martin-Birgmeier AND HPND-Markus-Kuhn AND dtoa AND SMLNJ AND AMD-newlib AND OAR AND HPND-merchantability-variant AND HPND-Intel
-
 # The source for this package was pulled from upstream's vcs.
 # %%{gitrev} is some commit from the
 # https://gcc.gnu.org/git/?p=gcc.git;h=refs/vendors/redhat/heads/gcc-%%{gcc_major}-branch
-# branch.  Use the following commands to generate the tarball:
-# git clone --depth 1 git://gcc.gnu.org/git/gcc.git gcc-dir.tmp
-# git --git-dir=gcc-dir.tmp/.git fetch --depth 1 origin %%{gitrev}
-# git --git-dir=gcc-dir.tmp/.git archive --prefix=%%{name}-%%{version}-%%{DATE}/ %%{gitrev} | xz -9e > %%{name}-%%{version}-%%{DATE}.tar.xz
-# rm -rf gcc-dir.tmp
+# branch.  Use the following command to generate the tarball:
+# ./update-gcc.sh %%{gitrev}
+# optionally if say /usr/src/gcc/.git/ is an existing gcc git clone
+# ./update-gcc.sh %%{gitrev} /usr/src/gcc/.git/
+# to speed up the clone operations.  Note, %%{gitrev} macro in
+# gcc.spec shouldn't be updated before running the script, the script
+# will update it, fill in some %%changelog details etc.
 Source0: gcc-%{version}-%{DATE}.tar.xz
 # The source for nvptx-tools package was pulled from upstream's vcs.  Use the
 # following commands to generate the tarball:
@@ -3625,8 +3626,19 @@ end
 %endif
 
 %changelog
+* Wed May 22 2024 Jakub Jelinek <jakub@redhat.com> 14.1.1-4
+- update from releases/gcc-14 branch
+  - PRs c++/114901, c++/114903, c++/114974, c++/114994, c++/115114,
+	c++/115139, driver/114980, fortran/114827, fortran/114874,
+	fortran/115039, libstdc++/107800, libstdc++/114866, libstdc++/114891,
+	libstdc++/115015, libstdc++/115063, libstdc++/115119,
+	middle-end/114931, sanitizer/115172, target/69374, target/112959,
+	target/114968, target/114975, target/114981, target/115065,
+	target/115069, tree-optimization/114998, tree-optimization/115143,
+	tree-optimization/115152, tree-optimization/115154
+
 * Tue May 21 2024 Siddhesh Poyarekar <siddhesh@redhat.com> 14.1.1-3
-- Update new SPDX identifiers from all outstanding issues.
+- update new SPDX identifiers from all outstanding issues
 
 * Thu May 16 2024 Marek Polacek <polacek@redhat.com> 14.1.1-2
 - fix a combinatorial explosion in combine (PR rtl-optimization/101523)

diff --git a/gcc14-pr101523.patch b/gcc14-pr101523.patch
index 7ca8467..8f3b47b 100644
--- a/gcc14-pr101523.patch
+++ b/gcc14-pr101523.patch
@@ -7,9 +7,9 @@ between i2 and i3 when the pattern of i2 doesn't change.
 Bootstrap and regtest running ontop of a reversal of
 r14-9692-g839bc42772ba7a.
 
-It brings down memory use frmo 9GB to 400MB and compile-time from
+It brings down memory use from 9GB to 400MB and compile-time from
 80s to 3.5s.  r14-9692-g839bc42772ba7a does better in both metrics
-but has shown code generation regressions across acrchitectures.
+but has shown code generation regressions across architectures.
 
 	PR rtl-optimization/101523
 	* combine.cc (try_combine): When the pattern of i2 doesn't
@@ -36,7 +36,7 @@ With the limit in place this patch doesn't affect common code.
 +/* Number of times I2 didn't change in try_combine.  Used to prevent a
 +   combinatorial explosion.  */
 +
-+static int combine_unchanged;
++static int combine_i2_unchanged;
 +
  /* Number of attempts to combine instructions in this function.  */
  
@@ -45,7 +45,7 @@ With the limit in place this patch doesn't affect common code.
      return false;
  
    combine_attempts = 0;
-+  combine_unchanged = 0;
++  combine_i2_unchanged = 0;
    combine_merges = 0;
    combine_extras = 0;
    combine_successes = 0;
@@ -53,9 +53,9 @@ With the limit in place this patch doesn't affect common code.
        adjust_for_new_dest (i3);
      }
  
-+  bool i2_unchanged = false;
++  bool i2_i2_unchanged = false;
 +  if (rtx_equal_p (newi2pat, PATTERN (i2)))
-+    i2_unchanged = true;
++    i2_i2_unchanged = true;
 +
    /* We now know that we can do this combination.  Merge the insns and
       update the status of registers and LOG_LINKS.  */
@@ -64,11 +64,11 @@ With the limit in place this patch doesn't affect common code.
    combine_successes++;
    undo_commit ();
  
-+  if (i2_unchanged)
++  if (i2_i2_unchanged)
 +    {
-+      if (combine_unchanged == 1000)
++      if (combine_i2_unchanged == 1000)
 +	return i3;
-+      ++combine_unchanged;
++      ++combine_i2_unchanged;
 +    }
 +
    rtx_insn *ret = newi2pat ? i2 : i3;

diff --git a/sources b/sources
index c27d6cc..10e470e 100644
--- a/sources
+++ b/sources
@@ -1,4 +1,4 @@
-SHA512 (gcc-14.1.1-20240508.tar.xz) = 2c0106d8a92ea76dacd78bcb2ac988d3662f15aa846772f5c3b1c93aa77f3a5e4cc601a4ece208ab414e8075d1fef49ebe66dea658b24ab9594618717356a8d7
+SHA512 (gcc-14.1.1-20240522.tar.xz) = 01cff9fc6de1568b90b2c74f5ae21eb1c06b3e3d5361f05482fd981accbfbf64512773930424fdd9411192fc3f8c5d4f63fba6bad13d7ad4fc3d606b60e56d4c
 SHA512 (isl-0.24.tar.bz2) = aab3bddbda96b801d0f56d2869f943157aad52a6f6e6a61745edd740234c635c38231af20bc3f1a08d416a5e973a90e18249078ed8e4ae2f1d5de57658738e95
 SHA512 (newlib-cygwin-d45261f62a15f8abd94a1031020b9a9f455e4eed.tar.xz) = 31bfc19429797236e268e22b752c5abeabb9c0f39b1058634af8dab329b4f028fc72a35888193c9575f6cee5cf2c069669d79fcb4d4e3a4318f57413452f707d
 SHA512 (nvptx-tools-9962793f41e016318dc5eca07ae602041cf526ff.tar.xz) = 97ef04cf721f562f6859b948debf1a2b5a5c7970b60281d3162535669c9173f0e73585650b6798e2844860b08405252db074488418be167a9a0c4883e62f9432

diff --git a/update-gcc.sh b/update-gcc.sh
index f1aa644..93160c9 100755
--- a/update-gcc.sh
+++ b/update-gcc.sh
@@ -1,7 +1,36 @@
 #!/bin/sh
-[ -d gcc-dir.tmp ] && echo gcc-dir.tmp already exists && exit 1
-git clone --depth 1 git://gcc.gnu.org/git/gcc.git gcc-dir.tmp
-git --git-dir=gcc-dir.tmp/.git fetch --depth 1 origin $1
+if [ "$#" -eq 0 ]; then
+  echo "Usage: ./update-gcc.sh gcc/redhat/heads/gcc-NN-branch_commit_hash [git_reference_dir_to_speed_up]"
+  exit 1
+fi
+export LC_ALL=C
+if ! [ -f gcc.spec ]; then echo Must be run in the directory with gcc.spec file.; exit 1; fi
+if [ -d gcc-dir.tmp ]; then echo gcc-dir.tmp already exists.; exit 1; fi
+v=`sed -n 's/^%global gcc_version //p' gcc.spec`
+p=`sed -n 's/^%global gitrev //p' gcc.spec`
+h=$1
+if [ "$#" -ge 2 ]; then
+  git clone --dissociate --reference $2 git://gcc.gnu.org/git/gcc.git gcc-dir.tmp
+else
+  git clone git://gcc.gnu.org/git/gcc.git gcc-dir.tmp
+fi
+git --git-dir=gcc-dir.tmp/.git fetch origin $h
 d=`date --iso | sed 's/-//g'`
-git --git-dir=gcc-dir.tmp/.git archive --prefix=gcc-14.1.1-$d/ $1 | xz -9e > gcc-14.1.1-$d.tar.xz
+cd gcc-dir.tmp
+git diff $p..$h > P1
+git log --format=%B `git log --format='%ae %H' $p..$h | awk '/^gccadmin@gcc.gnu.org/{print $2;exit 0}'`..$h > P2
+diff -up /dev/null P2 >> P1
+sed -n 's,^+[[:blank:]]\+PR \([a-z0-9+-]\+/[0-9]\+\)$,\1,p' P1 | sed 's/ - .*$//;s/[: ;.]//g' | LC_ALL=C sort -u -t / -k 1,1 -k 2,2n > P3
+> P4
+for i in `cat P3`; do if grep -F $i ../gcc.spec >/dev/null; then echo $i already recorded.; else echo $i >> P4; fi; done
+case "$v" in
+  *.0.*) echo "- update from trunk" > P5;;
+  *) echo "- update from releases/gcc-`echo $v | sed 's/\..*$//'` branch" > P5;;
+esac
+echo `cat P4` | sed 's/ /, /g' | fold -w 71 -s | sed '1s/^/  - PRs /;2,$s/^/	/;s/, $/,/' >> P5
+echo >> P5
+cd ..
+sed -i -e '/^%global gitrev /s/ [0-9a-f]\+$/ '$h'/;/^%global DATE /s/ [0-9]\+$/ '$d'/;/^%changelog$/r gcc-dir.tmp/P5' gcc.spec
+git --git-dir=gcc-dir.tmp/.git archive --prefix=gcc-$v-$d/ $h | xz -9e > gcc-$v-$d.tar.xz
 rm -rf gcc-dir.tmp
+fedpkg new-sources gcc-$v-$d.tar.xz `sed 's/SHA512 (\(.*\)) = [0-9a-f]\+$/\1/' sources | grep -v '^gcc-'`

                 reply	other threads:[~2026-06-29 12:30 UTC|newest]

Thread overview: [no followups] expand[flat|nested]  mbox.gz  Atom feed

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=178273623835.1.5213631191307449083.rpms-gcc-c6f99ecd7416@fedoraproject.org \
    --to=jakub@redhat.com \
    --cc=git-commits@fedoraproject.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox